Subject: [regext] 7482bis: Domain Search Clarification

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 23 Jan 2020 19:07:43 +0000

Section 3.2.1 includes this text:

"domains?nsLdhName=YYYY

YYYY is a search pattern representing a host name in "letters, digits, hyphen" format [RFC5890] in a zone administered by the server operator of a DNR. "

I've been informed that there is at least one RIR that also implemented support for nsLdhName searches, so it doesn't make sense to suggest that this type of query should be limited to DNR operators. It could also be implemented by domain name registrars, for example. The phrase "in a zone administered by the server operator of a DNR" needs to be looked at wherever it exists.

Specific change proposals:

Section 2.1:

OLD:
DNR: Domain Name Registry

NEW:
DNR: Domain Name Registry or Domain Name Registrar

Section 3.2.1:

OLD:
XXXX is a search pattern representing a domain name in "letters, digits, hyphen" (LDH) format [RFC5890] in a zone administered by the server operator of a DNR.

YYYY is a search pattern representing a host name in "letters, digits, hyphen" format [RFC5890] in a zone administered by the server operator of a DNR.

NEW:
XXXX is a search pattern representing a domain name in "letters, digits, hyphen" (LDH) format [RFC5890].

YYYY is a search pattern representing a host name in "letters, digits, hyphen" format [RFC5890].

Section 3.2.2:

OLD:
XXXX is a search pattern representing a host name in "letters, digits, hyphen" format [RFC5890] in a zone administered by the server operator of a DNR. The following URL would be used to find DNR information...

NEW:
XXXX is a search pattern representing a host name in "letters, digits, hyphen" format [RFC5890]. The following URL would be used to find information...

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 29 Jan 2020 15:52:35 +0000

> -----Original Message-----
> From: regext <[email-masked]> On Behalf Of Hollenbeck, Scott
> Sent: Thursday, January 23, 2020 2:08 PM
> To: [email-masked]
> Subject: [EXTERNAL] [regext] 7482bis: Domain Search Clarification
>
> YYYY is a search pattern representing a host name in "letters, digits, hyphen"
> format [RFC5890] in a zone administered by the server operator of a DNR. "
>
> I've been informed that there is at least one RIR that also implemented
> support for nsLdhName searches, so it doesn't make sense to suggest that
> this type of query should be limited to DNR operators. It could also be
> implemented by domain name registrars, for example. The phrase "in a zone
> administered by the server operator of a DNR" needs to be looked at
> wherever it exists.
>
> XXXX is a search pattern representing a domain name in "letters, digits,
> hyphen" (LDH) format [RFC5890] in a zone administered by the server
> operator of a DNR.
>
> YYYY is a search pattern representing a host name in "letters, digits, hyphen"
> format [RFC5890] in a zone administered by the server operator of a DNR.
>
> NEW:
> XXXX is a search pattern representing a host name in "letters, digits, hyphen"
> format [RFC5890] in a zone administered by the server operator of a DNR.
> The following URL would be used to find DNR information...
>
> NEW:
> XXXX is a search pattern representing a host name in "letters, digits, hyphen"
> format [RFC5890]. The following URL would be used to find information...

I've made these changes in -01.

Scott